/*
	XMMS Song Info plugin
	Copyright (c) 2004 Nikola Kotur

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA  02111-1307, USA.
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

void on_aboutDlg_map(GtkWidget *widget, gpointer user_data)
{
	GtkWidget *label;

	char *about_str = "XMMS \"Song Info\" Plugin " VERSION "\n"
		"Copyright (c) 2004 Nikola Kotur <kotnik@neobee.net>\n\n"
		"GPL free software\n\n"
		"Built using libid3tag from MAD project\n"
		"One function stolen from mpg321 sourcecode\n"
		"Backend using GTK timeout mechanism\n";

	label = lookup_widget(widget, "about_label");

	gtk_label_set_text(GTK_LABEL(label), about_str);

}


void on_about_close_btn_clicked(GtkButton *button, gpointer user_data)
{
	gtk_widget_destroy(lookup_widget(GTK_WIDGET(button), "aboutDlg"));

}


void do_on_about_button_clicked(GtkButton *button, gpointer user_data)

{
	GtkWidget *abdlg = create_aboutDlg();
	gtk_widget_show_all(abdlg);
}

