/*
	XMMS Song Info plugin
	Copyright (c) 2004 Nikola Kotur

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA  02111-1307, USA.
*/

#ifndef SONGINFO_H
#define SONGINFO_H

#include <xmms/plugin.h>
#include "mp3info.h"

// songinfo.c
GeneralPlugin *get_gplugin_info(void);
void init_plugin(void);
void finalize_plugin(void);
void show_config(void);
void xmms_quit(void);
static void request_handler_thread(void);

// mp3info.c
int getmp3info(char *fname, ext_id3_record *rec);

// songinfo_ui.c
void show_about_xmms(void);

// Globals
GtkWidget *dlg;
gint tag;
int shown; /* I already started config if it's true */

#define SESSIONID songinfo_gp.xmms_session

#endif //SONGINFO_H


