/*
	XMMS Song Info plugin
	Copyright (c) 2004 Nikola Kotur

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA  02111-1307, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <xmms/plugin.h>
#include <xmms/util.h>

#include "../config.h"
#include "songinfo.h"

/*
  Shows an about box.
 */
void show_about_xmms(void) {
	char *stuff = (char *)malloc(4096*sizeof(char));

	strcpy(stuff, "XMMS SongInfo\n\n");
	strcat(stuff, "Gives you an insight in information\n");
	strcat(stuff, "about played song!\n\n");
	strcat(stuff, "GPL software. Version ");
	strcat(stuff, VERSION);
	strcat(stuff, "\n\nby Nikola Kotur <kotnik@neobee.net>\n");
	strcat(stuff, "\nhttp://kotnik.on.neobee.net");


	xmms_show_message("About SongInfo",
			  stuff,
			  "OK", FALSE, NULL, NULL);
	free(stuff);
}

