/*
	XMMS Song Info plugin
	Copyright (c) 2004 Nikola Kotur

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA  02111-1307, USA.
*/

#ifndef MP3INFO_H
#define MP3INFO_H

#include <config.h>

#define EXT_ID3_FLEN	1024

typedef struct
{
	char artist[EXT_ID3_FLEN];
	char title[EXT_ID3_FLEN];
	char album[EXT_ID3_FLEN];
	char year[EXT_ID3_FLEN];
	char comment[EXT_ID3_FLEN];
	char is_valid;
} ext_id3_record;

#endif // MP3INFO_H

